#! /bin/bash

# change to the directory where the script and executable are located
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
cd $DIR

# check for Logs directory
if [ ! -d Logs ]; then
    mkdir Logs
fi

# check for python
PYTHON=$(which python)

if [ $? -ne 0 ]; then
    echo "The usage reporting script requires python. Please install python or run without reporting."
    exit 1
fi

# check crontab for reporting job
CORRECT_EXISTING_LINE="$(crontab -l | grep -q '$PYTHON $DIR/sendReport.py')"
if [ -z $CORRECT_EXISTING_LINE ]; then
    # get the existing crontab (pipe errors to /dev/null, ie 'crontab is empty')
    # 'sed' removes incorrect reporting Lines from the file (for example if the installation directory has moved)
    # append our cron schedule to the previous output
    # apply the result to the cron table
    (crontab -l 2>/dev/null | sed '/sendReport.py/d'; echo "0 0 * * 0 $PYTHON $DIR/sendReport.py") | crontab -
fi

# start RLM
./rlm
